librime: rime::Translation Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Member Functions | List of all members
rime::Translation Class Referenceabstract

`#include <translation.h>`

Inheritance diagram for rime::Translation:
[legend]

## Public Member Functions
| Translation ()=default
virtual | ~Translation ()=default
virtual bool | Next ()=0
virtual an< Candidate > | Peek ()=0
virtual int | Compare (an< Translation > other, const CandidateList &candidates)
bool | exhausted () const

## Protected Member Functions
void | set_exhausted (bool exhausted)

## Constructor & Destructor Documentation

## ◆ Translation()

rime::Translation::Translation | ( |  | ) |
| default

## ◆ ~Translation()

virtual rime::Translation::~Translation | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ Compare()

int rime::Translation::Compare | ( | an< Translation > | other,
|  | const CandidateList & | candidates )
| virtual

Reimplemented in rime::EchoTranslation, rime::ReverseLookupTranslation, and rime::SchemaListTranslation.

## ◆ exhausted()

bool rime::Translation::exhausted | ( |  | ) | const
| inline

## ◆ Next()

virtual bool rime::Translation::Next | ( |  | ) |
| pure virtual

Implemented in rime::CacheTranslation, rime::CharsetFilterTranslation, rime::DistinctTranslation, rime::FifoTranslation, rime::MergedTranslation, rime::PrefetchTranslation, rime::ScriptTranslation, rime::SentenceTranslation, rime::TableTranslation, rime::UnionTranslation, rime::UniqueTranslation, and rime::UniquifiedTranslation.

## ◆ Peek()

virtual an< Candidate > rime::Translation::Peek | ( |  | ) |
| pure virtual

Implemented in rime::CacheTranslation, rime::CharsetFilterTranslation, rime::FifoTranslation, rime::MergedTranslation, rime::PrefetchTranslation, rime::ReverseLookupFilterTranslation, rime::ReverseLookupTranslation, rime::ScriptTranslation, rime::SentenceTranslation, rime::TableTranslation, rime::UnionTranslation, and rime::UniqueTranslation.

## ◆ set_exhausted()

void rime::Translation::set_exhausted | ( | bool | exhausted | ) |
| inlineprotected

The documentation for this class was generated from the following files:

- translation.h
- translation.cc